{
  "name": "itn-core",
  "version": "1.0.0",
  "description": "ITN Core is a main application of InTouch Networks",
  "main": "app.js",
  "engines": {
    "node": ">= 10.16.0",
    "npm": ">= 6.10.2"
  },
  "scripts": {
    "test:integration": "./node_modules/.bin/mocha --recursive  --watch --extension ts --no-deprecation --require ts-node/register ./test/integration/**/$SPEC*.ts --timeout 1000",
    "test:unit": "./node_modules/.bin/mocha --recursive  --watch --extension ts --no-deprecation --require ts-node/register ./test/unit/**/$SPEC*.ts --timeout 20000",
    "test:coverage": "./node_modules/.bin/nyc --all --reporter=text ./node_modules/.bin/mocha --recursive  --extension ts --no-deprecation --require ts-node/register ./test/**/$SPEC*.ts --timeout 20000",
    "test": "./node_modules/.bin/mocha --recursive  --extension ts --no-deprecation --require ts-node/register ./test/**/$SPEC*.ts --timeout 20000",
    "app": "./node_modules/.bin/ts-node -- dist/app.ts",
    "local": "./node_modules/.bin/nodemon -e ts,tsx,js -w ./dist -w ./src -x npm run app",
    "start": "npm run app",
    "setup": "echo \"//registry.npmjs.org/:_authToken=${NPM_TOKEN}\" > ~/.npmrc"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@bitbucket.org/intouchnetworks/itn-core.git"
  },
  "private": true,
  "author": "InTouch Networks",
  "license": "ISC",
  "homepage": "https://bitbucket.org/intouchnetworks/itn-core#readme",
  "dependencies": {
    "@cyberforce/web-essentials": "0.0.1",
    "@types/axios": "^0.14.0",
    "@types/body-parser": "^1.17.1",
    "@types/chalk": "^2.2.0",
    "@types/express": "^4.17.0",
    "@types/lodash": "^4.14.136",
    "axios": "^0.19.0",
    "body-parser": "^1.19.0",
    "chalk": "^2.4.2",
    "express": "^4.17.1",
    "is-port-reachable": "^2.0.1",
    "lodash": "^4.17.15",
    "nodemon": "^1.19.1",
    "ts-node": "^8.3.0"
  },
  "devDependencies": {
    "@istanbuljs/nyc-config-typescript": "^0.1.3",
    "@types/axios-mock-adapter": "^1.10.0",
    "@types/chai": "^4.1.7",
    "@types/chai-as-promised": "^7.1.0",
    "@types/chai-http": "^4.2.0",
    "@types/mocha": "^5.2.7",
    "@types/node": "^12.6.2",
    "axios-mock-adapter": "^1.17.0",
    "chai": "^4.2.0",
    "chai-as-promised": "^7.1.1",
    "chai-http": "^4.3.0",
    "mocha": "^6.1.4",
    "nyc": "^14.1.1",
    "tslint": "^5.18.0",
    "tslint-eslint-rules": "^5.4.0",
    "tslint-no-unused-expression-chai": "^0.1.4",
    "typescript": "^3.5.3"
  }
}
